SDL_GetGammaRamp(3)

NAME
SDL_GetGammaRamp - Gets the color gamma lookup tables for the display

SYNOPSIS

#include "SDL.h"

int SDL_GetGammaRamp(Uint16 *redtable, Uint16 *greentable, Uint16 *bluetable);

DESCRIPTION

Gets the gamma translation lookup tables currently used by the display. Each table is an array of 256 Uint16 values.

Not all display hardware is able to change gamma.

RETURN VALUE

Returns -1 on error.

SEE ALSO

SDL_SetGamma SDL_SetGammaRamp